Subject: Re: bug#24105: git package misses man pages

From: Leo Famulari <[email-masked]>
Date: Fri, 29 Jul 2016 13:10:59 -0400

On Fri, Jul 29, 2016 at 02:46:23PM +0200, Andreas Enge wrote:
> Also, the resulting package is quite small with only 2.3 MB.

Not much, considering how often I consult these manpages.

> The reason for the separate package is given as this:
>   ;; Granted, we could build the man pages from the 'git' package itself,
>   ;; which contains the real source.  However, it would add a dependency on a
>   ;; full XML tool chain, and building it actually takes ages.  So we use this
>   ;; lazy approach.
> Building will most of the time happen on the build farm, so the time it
> takes should not be an issue. I suppose that the xml tool chain will only
> be a native and not a normal input, so it should not be too much of a problem.

Our git-manpages package doesn't build the manpages from source anyways.
It simply unpacks a tarball of pre-built manpages.

> I suggest to include the man pages into the git package itself. If building
> them is a real issue, adding a source and the build phase of git-manpages
> to the git package itself could also be an option.

I agree. If we continue to not build them from source, it won't make the
Git package any more "expensive". We could add the pre-built source
tarball as a native-input to the Git package, and re-use the unpack
phase from git-manpages.

I think the current arrangement offers a bad experience for new users
who can't find the manpages.